const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Banjarnegara',
    'Kabupaten Banyumas',
    'Kabupaten Batang',
    'Kabupaten Blora',
    'Kabupaten Boyolali',
    'Kabupaten Brebes',
    'Kabupaten Cilacap',
    'Kabupaten Demak',
    'Kabupaten Grobogan',
    'Kabupaten Jepara',
    'Kabupaten Karanganyar',
    'Kabupaten Kebumen',
    'Kabupaten Kendal',
    'Kabupaten Klaten',
    'Kabupaten Kudus',
    'Kabupaten Magelang',
    'Kabupaten Pati',
    'Kabupaten Pekalongan',
    'Kabupaten Pemalang',
    'Kabupaten Purbalingga',
    'Kabupaten Purworejo',
    'Kabupaten Rembang',
    'Kabupaten Semarang',
    'Kabupaten Sragen',
    'Kabupaten Sukoharjo',
    'Kabupaten Tegal',
    'Kabupaten Temanggung',
    'Kabupaten Wonogiri',
    'Kabupaten Wonosobo',
    'Kota Magelang',
    'Kota Pekalongan',
    'Kota Salatiga',
    'Kota Semarang',
    'Kota Surakarta',
    'Kota Tegal'

    // 35
];

exports.seedJawaTengahCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Jawa Tengah' },
    });

    if (!province) {
        console.error('❌ Province Jawa Tengah not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Jawa Tengah City seeded!.');
};